> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activecalculator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Webhook

> Create a new webhook right from the API and see it active right away!



## OpenAPI

````yaml post /webhooks
openapi: 3.1.0
info:
  title: Management API
  version: '1.0'
servers:
  - url: https://app.activecalculator.com/api/v1
security:
  - sec0: []
paths:
  /webhooks:
    post:
      summary: Register Webhook
      description: Create a new webhook right from the API and see it active right away!
      operationId: register-webhook
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - triggers
                - calculators
              properties:
                url:
                  type: string
                  description: The URL where the webhook will send data
                name:
                  type: string
                  description: A name for the webhook
                source:
                  type: string
                  description: The source of the webhook
                  default: user
                  enum:
                    - user
                    - zapier
                    - make
                    - n8n
                    - pipedream
                triggers:
                  type: array
                  description: >-
                    An array of pipeline trigger event types. Currently
                    supported trigger is "newSubmission"
                  default:
                    - newSubmission
                  items:
                    type: string
                calculators:
                  type: array
                  description: An array of calculator IDs (CUID2 format)
                  items:
                    type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "data": {
                        "id": "webhook123",
                        "name": "Example Webhook",
                        "createdAt": "2024-01-15T10:30:00.000Z",
                        "updatedAt": "2024-01-15T11:45:00.000Z",
                        "url": "https://example.com/webhook",
                        "source": "user",
                        "workspaceId": "workspace456"
                      }
                    }
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: webhook123
                      name:
                        type: string
                        example: Example Webhook
                      createdAt:
                        type: string
                        example: '2024-01-15T10:30:00.000Z'
                      updatedAt:
                        type: string
                        example: '2024-01-15T11:45:00.000Z'
                      url:
                        type: string
                        example: https://example.com/webhook
                      source:
                        type: string
                        example: user
                      workspaceId:
                        type: string
                        example: workspace456
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-ac-api-key

````